Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.graph
Interface GraphManager

All Superinterfaces:
  GraphChangeHandler

All Known Implementing Classes:
  GraphMap, ObjectStore

    public interface GraphManager

extends GraphChangeHandler

Represents a generic "managed" graph with nodes mapped by their ids. Inherited GraphChangeHandler methods are intended as callbacks for graph node objects to notify graph of their changes.

Since:
  1.2
Author:
  Andrus Adamchik

Method Summary
`Object` | `getNode(Object nodeId)` Returns a graph node given an id.
`Collection<Object>` | `registeredNodes()` Returns all graph nodes registered with GraphManager.
`void` | `registerNode(Object nodeId, Object nodeObject)` "Registers" a graph node, usually storing the node in some internal map using its id as a key.
`Object` | `unregisterNode(Object nodeId)` "Unregisters" a graph node, forgetting any information associated with nodeId.

Methods inherited from interface org.apache.cayenne.graph.GraphChangeHandler
`arcCreated, arcDeleted, nodeCreated, nodeIdChanged, nodePropertyChanged, nodeRemoved`

Method Detail

### getNode

    Object getNode(Object nodeId)

  Returns a graph node given an id.

### registerNode

    void registerNode(Object nodeId,
                      Object nodeObject)

  "Registers" a graph node, usually storing the node in some internal map using its id as a key.

### unregisterNode

    Object unregisterNode(Object nodeId)

  "Unregisters" a graph node, forgetting any information associated with nodeId.

### registeredNodes

    Collection<Object> registeredNodes()

  Returns all graph nodes registered with GraphManager.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 Apache Cayenne. All Rights Reserved.